(function($, owner) {
	/**
	 * 用户登录
	 **/
	var Cid="";
	_BindPageLoad(function(){
		if(PlatformInfo.name=="app")
			Cid=plus.push.getClientInfo().clientid;
	})
	
	owner.login = function(loginInfo, callback) {
		callback = callback || $.noop;
		loginInfo = loginInfo || {};
		loginInfo.account = loginInfo.account || '';
		loginInfo.password = loginInfo.password || '';
		if(_ValidateMobile(loginInfo.account)==false){
			return callback('手机号码格式错误');
		}
		if (loginInfo.password.length < 6) {
			return callback('密码最短为 6 个字符');
		}
		_ShowWaiting();
		
		HTTPRequestFunc(
		"post",
		AppBaseConfig.apiURI+"UserHandler.ashx?api=login",
		{
			mobile: loginInfo.account,
			pass: (new md5).hex_md5(loginInfo.password),
			cid: Cid
		},	
		function(data){
			_CloseWaiting();
			data = JSON.parse(data);
			if(data.status==0){
				return owner.createState(data.data, callback);
			}
			else{
				return callback(data.info);
			}
		},
		function(status, info){
			_CloseWaiting();
			return callback(info);
		});
	};

	owner.createState = function(obj, callback) {
		User = _getUser();
		var item = obj.client;
		
		User.id = item.ID;
		User.GUID = item.GUID;
		User.name = item.Name;
		User.mobile = item.Mobile;
		User.userType = item.UserType;
		User.sex = item.Sex;
		User.IsRenZheng = item.IsRenZheng;
		User.token = obj.token;
		User.hashCode = obj.hashCode;
		User.pic = item.Pic;
		User.Region =item.Region;
		User.ReceivingAdr =item.ReceivingAdr;
		User.fullName = item.FullName;
		_storeObject(StorageKeys.UserInfo, User);
		
		//console.log(JSON.stringify(User));
		
		return callback();
	};

}(mui, window.app = {}));