/*!
 * app中涉及到的类，对象等
 * @Zeego Tech
 */

// 普通用户对象
function UserObject(){
	this.id = "-1";
	this.GUID = "NULL";
	this.name = "Guest";
	this.mobile = "-1";
	this.userType = 0;
	this.sex = 0;
	this.IsRenZheng = 0;
	this.token = "";
	this.hashCode = "";
	this.FullName = "";
	this.Region="";
	this.ReceivingAdr="";
	this.fullName = "";
	this.pic="";
};
// 获取本地存储的用户对象
function _getUser(){
	var User = _retrieveObject(StorageKeys.UserInfo);
	if(User==null)
		User = new UserObject();
	return User;
}

// 提交订单时的临时订单对象
function OrderSubmitObject(){
	this.contractId = "";
	this.product = {};
	this.quantity = "";
	this.price="";
	this.province = "";
	this.city = "";
	this.isSign
	this.town = "";
	this.address = "";
	this.contact = "";
	this.mobile = "";
	this.ic = "";
	this.payment = 4;
};
// 获取本地存储的临时订单对象
function _getOrderSubmit(){
	var item = _retrieveObject(StorageKeys.OrderSubmit);
	if(item==null)
		item = new OrderSubmitObject();
	return item;
}

function BankInfoObject(){
	this.name = "";
	this.cardNumber = "";
	this.bankInfo = "";
	this.alipayAccount = "";
}

function _getBankInfoObject(){
	var item = _retrieveObject(StorageKeys.BankInfo);
	if(item==null)
		item = new BankInfoObject();
	return item;
}

//微信用户对象
function WXInfo(){
	this.id="-1";
	this.name = "Guest";
	this.issub = 0;
	this.sex = 0;
	this.headimgsrc = "";
}
//获取微信用户对象
function _getWXInfo(){
	var wxInfo = _retrieveObject(StorageKeys.wxUserInfo);
	if(wxInfo==null)
		wxInfo = new WXInfo();
	return wxInfo;
}

//8小时有效的本地存储
function H8ValidObject(){
	this.city = "";
	this.validDate = null;
}

function _getH8Object(){
	var nowTime = new Date();
	var nowSpan = nowTime.getTime();
	
	var h8Object = _retrieveObject(StorageKeys.H8ValidObject);
	if(h8Object){
		if(h8Object.validDate){
			if(h8Object.validDate>nowSpan)
				return h8Object
		}
	}
	
	return new H8ValidObject();
}

function _saveH8Object(obj){
	var nowTime = new Date();
	nowTime.setHours(nowTime.getHours()+8);
	obj.validDate = (nowTime).getTime();
	
	_storeObject(StorageKeys.H8ValidObject, obj);
}
